%bcond_with bootstrap

Summary:        Plexus Build API
Name:           plexus-build-api
Version:        0.0.7
Release:        8%{?dist}
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-build-api
Source0:        https://github.com/codehaus-plexus/plexus-build-api/archive/refs/tags/plexus-build-api-0.0.7.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Patch3000:      %{name}-migration-to-component-metadata.patch
Patch3001:      0000-Port-to-plexus-utils-3.3.0.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Plexus Build API

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.



%prep
%setup -q -n plexus-build-api-plexus-build-api-%{version}
cp -p %{SOURCE1} .

%autopatch -p1

%pom_remove_parent
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/*" 1.8

%mvn_file : plexus/%{name}

%mvn_package :



%build
%mvn_build



%install
%mvn_install



%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-5
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.7-4
- switched to non-bootstrap building

* Tue Apr 18 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.7-3
- rebuilding for opencloudos

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 0.0.7-2
- rebuilding for opencloudos

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 0.0.7-1
- initial
